Contact Us
  • Home
  • Documentation
  • Core Weather API
  • MinuteCastโ„ข API
  • Lightning API
  • Pricing
  • FAQ
Company
  • Proven Superior Accuracy
  • About AccuWeather
  • Digital Advertising
  • Careers
  • Press
  • Privacy
  • Terms of Use
  • Brand Guidelines
  • Privacy Settings
Products & Services
  • For Business
  • For Partners
  • For Advertising
  • AccuWeather Enterprise APIs
  • AccuWeather Connect
  • Personal Weather Stations
Subscription Services
  • AccuWeather Premium
  • AccuWeather Professional
Apps & Downloads
  • iPhone App
  • Android App
  • See all Apps & Downloads

ยฉ 2026 AccuWeather, Inc.

xXfacebookFacebookinstagramInstagram
Information
Forecast Lightning
    Geoposition
      ๐Ÿ”’ Lightning forecasts by latitude/longitudeget
Current Lightning
    Radius
      ๐Ÿ”’ Lightning strikes by time interval, latitude/longitude and distance radiusget
    Bounding Box
      ๐Ÿ”’ Lightning strikes by time interval and bounding boxget
Historical Lightning
    Radius
      ๐Ÿ”’ Historical daily lightning strikes by latitude/longitude and distance radiusget
Schemas
Lightning
Lightning

Radius


๐Ÿ”’ Lightning strikes by time interval, latitude/longitude and distance radius

GET
https://dataservice.accuweather.com
/lightning/v1/{timeInterval}min/geoposition/radius.geojson

Get lightning strike data within a circular area over a custom time interval. The response is in GeoJSON format.

๐Ÿ”’ Lightning strikes by time interval, latitude/longitude and distance radius โ€บ path Parameters

timeInterval
โ€‹integerย ยทย int32ย ยทย pattern: ^(5|15|30|60|120)$

The total amount of time, in minutes, for which lightning strike data will be returned. Available timespans are 5, 15, 30, 60, and 120.

Default: 15

๐Ÿ”’ Lightning strikes by time interval, latitude/longitude and distance radius โ€บ query Parameters

q
โ€‹stringย ยทย required

A string that identifies the central location from which to search. Provide the coordinates as latitude,longitude in decimal format.

Example: 40.779,-73.969
distanceRadius
โ€‹integerย ยทย int32

The distance, in miles, from the center of the search area to the circle's outer edge. The maximum radius is 60 miles.

Default: 5

๐Ÿ”’ Lightning strikes by time interval, latitude/longitude and distance radius โ€บ Headers

Authorization
โ€‹stringย ยทย required

The Authorization header is used to authenticate using your API key. Format is Bearer YOUR_API_KEY.

๐Ÿ”’ Lightning strikes by time interval, latitude/longitude and distance radius โ€บ Responses

OK

AccuWeather.API.Lightning.Entities.LightningObservationGeoJson
type
โ€‹string | null

A string that describes the array following.

โ€‹array | null

An array that contains all lightning strike data for the specified time and location.

GET/lightning/v1/{timeInterval}min/geoposition/radius.geojson
curl 'https://dataservice.accuweather.com/lightning/v1/:timeIntervalmin/geoposition/radius.geojson?q=<string>' \ --header 'Authorization: <api-key>'
Example Responses
{ "type": "type", "features": [ { "type": "type", "geometry": { "type": "type", "coordinates": [ 0 ] }, "properties": { "id": "id", "date": "2024-08-25T15:00:00Z", "sourceId": 0, "strikeType": "strikeType", "peakCurrent": 0 } } ] }
json
application/json

GeopositionBounding Box